 

import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.image.*;

public class FeuilleADessin extends JComponent
{
    public BufferedImage imgTampon;
    public Graphics2D gTampon;
    private boolean first = true;
    private int tailleImage = 2048;
    
    public FeuilleADessin(){}
    
    public void effacer(){
        gTampon.setPaint(Color.white);
        gTampon.fillRect(0, 0, tailleImage, tailleImage);
        repaint();
    }
    
    public boolean macP() {return false;} //  completer
    
    public void paintComponent(Graphics g){
        // Refresh systme par java
        super.paintComponent(g);
        // Refresh personnalis
        Graphics2D g2D = (Graphics2D) g;
        if (imgTampon != null)
            {g2D.drawImage(imgTampon, 0, 0, this);} //{if (!macP()) {g2D.drawImage(imgTampon, 0, 0, this);}  } 
    }
    
    public void miseAJour(){
        Graphics g = this.getGraphics();
        g.drawImage(imgTampon, 0, 0, this); //if (!macP()) {g.drawImage(imgTampon, 0, 0, this);}
    }
/*
 * Ajout Mars 2009
 */    
    public Color getRGB(int x, int y){
        if (x<0 || y<0 || x>= tailleImage || y>= tailleImage){
            return new Color(0);
        }
        int n = imgTampon.getRGB(x, y);
        return new Color(n);  
    }
    
    public void setRGB(int x, int y, Color c){
        if (x<0 || y<0 || x>= tailleImage || y>= tailleImage){
            return;
        }
        imgTampon.setRGB(x, y, c.getRGB());
    }
    
    public void setRGB(int x, int y, int r, int g, int b){
        if (x<0 || y<0 || x>= tailleImage || y>= tailleImage){
            return;
        }
        Color c =new Color(r, g, b);
        imgTampon.setRGB(x, y, c.getRGB());
    }
    
    public int getTailleImage(){
        return tailleImage;
    }
}
