import java.awt.*;
import java.awt.image.*;
import javax.swing.*;
import java.io.File;
import java.net.*; // URL
import java.io.*; // IOException
/**
 * Dcrivez votre classe ImageChargeur ici.
 * 
 * @author Maurice
 * @version 27/07/2011
 */
public class ImageChargeur {
    /**
     * Constructeur d'objets de classe ImageChargeur
     */
    private Component cp;
    
    public ImageChargeur(Component cp){ this.cp = cp ;}
    
    /* Pour dbogage
    ImageObserver observateur = new ImageObserver(){
        public boolean imageUpdate(Image image, int flags, int x, int y, int width, int height){
            boolean test = false;
            if (test){
                if ((flags & ALLBITS) != 0){//ecris("Chargement termin\n");}
                if ((flags & WIDTH)!= 0){//ecris("Largeur = " + width + "\n" );}
                if ((flags & HEIGHT)!= 0){//ecris("Hauteur = " + height + "\n" );}
            }
            return true;
        };
    };
    */
   
   public ImageMemoire chargerUneImage(String nom) {
        ImageMemoire monImage = null;
        BufferedImage monImage1;
        Image monImage2 = null;
        try{
            URL url = ImageChargeur.class.getResource(nom);
            if(url == null){return null;}
            ImageProducer producer = (ImageProducer) (url.getContent());
            Toolkit tk = Toolkit.getDefaultToolkit();
            monImage2 = tk.createImage(producer);
        }catch(IOException e){//ecris("Problmes");
        }
        
        if (monImage2 == null){return null;}
        
        MediaTracker tracker = new MediaTracker(cp);
        int ID_IMAGE = 0;
        tracker.addImage(monImage2, ID_IMAGE);
        try {
            tracker.waitForID(ID_IMAGE);
         }
        catch (InterruptedException e1){}
        if (tracker.isErrorID(ID_IMAGE)){
            //ecris("Erreur au chargement de " + nom );
         }
        int largeur = monImage2.getWidth(null);
        int hauteur = monImage2.getHeight(null);
        monImage1 = new BufferedImage(largeur , hauteur , BufferedImage.TYPE_INT_ARGB);
        Graphics2D bufImageGraphics = monImage1.createGraphics();
        bufImageGraphics.drawImage(monImage2, 0, 0, null);
        monImage = new ImageMemoire(monImage1);
        return monImage;
    }
}

    
